## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUDTSuperTypeLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUDTSuperTypeLoader

    public class JDBCUDTSuperTypeLoader

extends JDBCBaseLoader

Base loader implementation for loading a UDT's super type object. This class may be specialized as necessary to meet a particular vendor's needs.

Since:
  1.0

Field Summary
`static java.lang.String` `COLUMN_SUPERTYPE_CAT` The column name containing the super type's catalog name.
`static java.lang.String` `COLUMN_SUPERTYPE_NAME` The column name containing the super type's name.
`static java.lang.String` `COLUMN_SUPERTYPE_SCHEM` The column name containing the super type's schema name.

Constructor Summary
`JDBCUDTSuperTypeLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCUDTSuperTypeLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`UserDefinedType` `loadSuperType()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_SUPERTYPE_CAT

    public static final java.lang.String COLUMN_SUPERTYPE_CAT

  The column name containing the super type's catalog name.

  See Also:
    `java.sql.DatabaseMetaData.getSuperTypes()`, Constant Field Values

### COLUMN_SUPERTYPE_SCHEM

    public static final java.lang.String COLUMN_SUPERTYPE_SCHEM

  The column name containing the super type's schema name.

  See Also:
    `java.sql.DatabaseMetaData.getSuperTypes()`, Constant Field Values

### COLUMN_SUPERTYPE_NAME

    public static final java.lang.String COLUMN_SUPERTYPE_NAME

  The column name containing the super type's name.

  See Also:
    `java.sql.DatabaseMetaData.getSuperTypes()`, Constant Field Values

Constructor Detail

### JDBCUDTSuperTypeLoader

    public JDBCUDTSuperTypeLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

  Parameters:
    `catalogObject` - the Database object upon which this loader operates.

### JDBCUDTSuperTypeLoader

    public JDBCUDTSuperTypeLoader(ICatalogObject catalogObject,
                                  IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Table object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "UDT" object being loaded

Method Detail

### loadSuperType

    public UserDefinedType loadSuperType()
                                  throws java.sql.SQLException

  Returns:
    the super type, null if no super type exists.
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.